Cantera 2.6.0

Classes | Namespaces | Functions
Mu0Poly.h File Reference

Header for a single-species standard state object derived from SpeciesThermoInterpType based on a piecewise constant mu0 interpolation (see Species Reference-State Thermodynamic Properties and class Mu0Poly). More...

`#include "cantera/thermo/SpeciesThermoInterpType.h"`
`#include "cantera/thermo/speciesThermoTypes.h"`
Include dependency graph for Mu0Poly.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Mu0Poly
| The Mu0Poly class implements an interpolation of the Gibbs free energy based on a piecewise constant heat capacity approximation. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
Mu0Poly * | newMu0ThermoFromXML (const XML_Node &Mu0Node)
| Install a Mu0 polynomial thermodynamic reference state. More...

## Detailed Description

Header for a single-species standard state object derived from SpeciesThermoInterpType based on a piecewise constant mu0 interpolation (see Species Reference-State Thermodynamic Properties and class Mu0Poly).

Definition in file Mu0Poly.h.